> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List changes

> List all segment changes



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /segmentation/changes/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /segmentation/changes/list:
    get:
      tags:
        - Segmentation - Changes
      summary: List changes
      description: List all segment changes
      parameters:
        - in: query
          name: segmentUuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: Segment UUID
            description: Segment identifier.
          required: true
          description: Segment identifier.
        - in: query
          name: hasRecords
          schema:
            title: Has records
            description: Filter changes by record kind.
            type: string
            enum:
              - added
              - updated
              - removed
          description: Filter changes by record kind.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of changes to return.
            type: string
          description: Maximum number of changes to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of changes to skip.
            type: string
          description: Number of changes to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  changes:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        workspaceUuid:
                          type: string
                        segmentUuid:
                          type: string
                        slug:
                          type: string
                        totalRecordsCount:
                          type: number
                        updatedRecordsCount:
                          type: number
                        removedRecordsCount:
                          type: number
                        addedRecordsCount:
                          type: number
                        unchangedRecordsCount:
                          type: number
                        createdAt:
                          type: string
                      required:
                        - uuid
                        - workspaceUuid
                        - segmentUuid
                        - slug
                        - totalRecordsCount
                        - updatedRecordsCount
                        - removedRecordsCount
                        - addedRecordsCount
                        - unchangedRecordsCount
                        - createdAt
                      additionalProperties: false
                    title: Changes
                    description: List of changes.
                required:
                  - changes
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````